2021-09-24 Allen v1r5
===

This version uses
Rec [v33r1](../../../../Rec/-/tags/v33r1),
Lbcom [v33r2](../../../../Lbcom/-/tags/v33r2),
LHCb [v53r2](../../../../LHCb/-/tags/v53r2),
Gaudi [v36r1](../../../../Gaudi/-/tags/v36r1) and
LCG [100](http://lcginfo.cern.ch/release/100/) with ROOT 6.24.00.

This version is released on `master` branch.
Built relative to Allen [v1r4](/../../tags/v1r4), with the following changes:

### New features ~"new feature"

- ~Configuration ~Build ~integration | Runtime sequence selection, !552 (@raaij) [#215]
- ~Persistency | Add SelReport writer, !521 (@thboettc)
- ~Persistency ~"MC checking" | Read MC info from MDF file, !561 (@dovombru) [#202,#240,#241,#250]
- ~Monitoring | Add ROOT service and monitoring functions to lines, !581 (@acasaisv)
- ~Build | Add NVIDIA A5000 to CI tests, !619 (@dcampora) [PCIE-32]
- Two track MVA, !648 (@nnolte) [#3]


### Fixes ~"bug fix" ~workaround

- ~Tracking | VELO refactoring and improvements, !578 (@dcampora)
- ~Monitoring | Attempt to fix https://gitlab.cern.ch/lhcb/Moore/-/issues/305 (follow up !581), !622 (@acasaisv)
- Default allen.py to python3, !661 (@dcampora)
- Fix StreamLoader for mac to look for the right extension (dylib in mac)., !660 (@dcampora)
- Fix Sbt contract where ID was being assigned to Phi., !659 (@dcampora)
- Fix grafana monitoring of CI throughput, !642 (@dovombru) [#235]
- UT decoding fixes, !618 (@mstahl) [Rec#193]
- Fix undefined behavior in UT decoding sequence, !615 (@mstahl) [#263]


### Enhancements ~enhancement

- ~Tracking ~VP | Remove limit of tracks in VELO reconstruction, !613 (@dcampora)
- ~"Event model" | Create LHCb ID containers, !658 (@dcampora)
- ~"Event model" | Improve Allen consolidated VELO event model and transform it to be event-based, !510 (@dcampora)
- ~Persistency | [TransposeRawBanks] Add CALO raw banks to default bank types, !601 (@mstahl)
- ~Build | Increase bracket depth to allow compilation with Clang 12, !654 (@lhedges) [#273]
- ~Build | Profile using ncu instead of nsys. Use custom metric. Keep artifacts of profile., !636 (@dcampora)
- ~Build | Reduce compile time of RunAllen, !635 (@raaij)
- ~Build | Add option CALLGRIND_PROFILE to set common callgrind settings for profiling., !631 (@dcampora)
- Make SEQUENCES regex be used for an exact match instead of a search, !662 (@dcampora)
- Update selections readme, !652 (@thboettc)
- Support repeated device input on last consumer, !646 (@dcampora)
- Better support of INPUT AGGREGATES, !644 (@dcampora)
- Convert the warning from the memory manager into a verbose-qualified message., !620 (@dcampora)
- Support std::array in properties, !567 (@dcampora)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Follow LHCb ODIN creator changes, !637 (@sesen)
- ~"PV finding" | Initialize PV Beamline Histo using Allen::initialize, !628 (@dcampora)
- ~Persistency | Create MEP::RawEvent, decoding refactoring, !638 (@dcampora)
- ~Persistency | Avoid childBegin/childEnd, !609 (@graven)
- ~Persistency | TestMuonTable: remove (the need for) casts & meta-programming, !606 (@graven)
- ~Conditions | Fix for DD4Hep, !611 (@graven)
- ~Build | Revert "Merge branch 'dcampora_add_a5000' into 'master'", !634 (@dcampora)
- ~Build | Drop CUDACLANG target, !623 (@dcampora)
- Dropped usage of (UN)LIKELY macro, !617 (@sponce)
- Follow changes in lhcb/LHCb!3134, !608 (@graven)
- Report the rate without requiring MC information, !557 (@raaij)


### Documentation ~Documentation

- Update selections readme, !652 (@thboettc)
- Update readme.md for MDF input files, !643 (@dovombru) [#266]
- Fix MDF dumping readme.md, !640 (@dovombru)
