2022-08-03 Allen v2r2
===

This version uses
  Gaudi: [v36r7](../../../../Gaudi/-/tags/v36r7),
  Detector: [v1r3](../../../../Detector/-/tags/v1r3),
  LHCb: [v53r10](../../../../LHCb/-/tags/v53r10),
  Lbcom: [v33r10](../../../../Lbcom/-/tags/v33r10),
  Rec: [v34r4](../../../../Rec/-/tags/v34r4),

This version is released on `master` branch.
Built relative to Allen [v2r1](/../../tags/v2r1), with the following changes:

### New features ~"new feature"

- ~selections | Add SingleHighPtNoMuIDMuon line to HLT1, !815 (@rjhunter)
- ~Muon | Update MuonTileID with the new bit-width of its components, !822 (@raaij)
- Forward tracking without UT, !838 (@ascarabo)
- Fix start->stop->start and allow multiple output threads, !900 (@raaij)
- Move parameter files from Allen to ParamFiles, !812 (@dovombru) [#302,#316]


### Fixes ~"bug fix" ~workaround

- ~"MC checking" | Use the right tx and ty definition in TrackCheckerHistos.cpp, !839 (@lpica)
- Remove limits on selected objects in SelReport maker, !942 (@thboettc)
- Refactor prefilters, !933 (@dcampora)
- Add a lower bound the track container size., !929 (@dcampora)
- Mask error banks in calo decoding, !928 (@dovombru)
- Fix multiple raw event locations in TransposeRawBanks, !850 (@raaij) [#319]
- Fixed index bug in monitor(), !880 (@cagapopo)
- Fix warnings and errors from gcc11, !877 (@dcampora)
- Resize MDF input buffers if needed, !772 (@raaij)


### Enhancements ~enhancement

- Homogeneize copy, improve error message of cast, !934 (@dcampora)
- Changed name of FT methods to make software clearer, !931 (@lohenry)
- Delayed selections, !846 (@dcampora)
- Decode Retina into a sorted container, !805 (@dcampora)
- Better error message when an algorithm receives a wrong number of arguments, !840 (@dcampora)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration ~integration | Add algorithms to support Moore-based Gaudi Allen configuration, !835 (@spradlin)
- ~Monitoring | Remove RateVsTime histograms, !943 (@kaaricha)
- ~Build | Fix check-env job, fixes #327, !897 (@rmatev) [#327]
- ~Build | Add reference bot for Allen, !890 (@fsouzade)
- Update geometry converters to be compatible with DD4HEP, !879 (@raaij)


### Documentation ~Documentation

- Fix documentation build, !851 (@dovombru)

### Other

- ~Decoding | Decoding FT v7 in Allen and fixes to CPU v7, !861 (@lohenry)
- ~Decoding ~Core | Use proper bank size instead of offsets throughout and propagate bank types, !814 (@raaij) [#321]
- ~VP | RetinaCluster v1, !748 (@gbassi)
- ~Calo | New calo decoding, !691 (@jmarchan) [#272]
- ~Monitoring | Monitoring infrastructure, line monitoring, !936 (@dcampora)
- ~Luminosity | HLT1 Lumi Line, !743 (@sxian) [#220]
- ~Build | Fix include for standalone build, !870 (@raaij)
- Remove warning of library libHostSelections in standalone by moving an include..., !951 (@dcampora)
- Update References for: Allen!730 based on lhcb-master-mr/5257, !949 (@lhcbsoft)
- Update References for: LHCb!3154 based on lhcb-master-mr/5248, !947 (@lhcbsoft)
- Create no GEC, no UT sequences for first datataking, !946 (@gligorov)
- Add invert option to BX type filter, !944 (@kaaricha)
- Only configure producers / consumers when required by algorithms in sequence, !922 (@dovombru)
- DiMuonNoIP, !730 (@kaaricha)
- Add cache_preload.cmake to git ignore list, !945 (@jonrob)
- Update References for: Allen!936, MooreOnline!121 based on lhcb-master-mr/5120, !938 (@lhcbsoft)
- Allow external projects to be fetched from preexisting dirs, !937 (@dcampora)
- Fix raw bank alignment, !935 (@samarian)
- Remove assert from pv beamline peak., !930 (@dcampora)
- First implementation of TELL40 v1 cluster output (default) and two sensor SP banks (only if FPGA clustering not available), !874 (@hcroft)
- HLT1 line filter for error banks in ODIN, !927 (@ascarabo)
- RICH alignment line pre/post scalers, !926 (@rilane)
- Improved type-ful store, !923 (@dcampora)
- DumpMuonTable - include DD4hep/GrammarUnparsed.h, !907 (@jonrob) [#331]
- Adapt to changes in calo event model, !896 (@ahennequ)
- Add some information about tracks and SVs to StdInfo, !837 (@thboettc)
- Make check for banks with 5 most-significant bits set more robust, !920 (@raaij)
- Allow empty selreport in OutputHandler., !919 (@kaaricha)
- Remove host buffers used for monitoring., !918 (@dcampora)
- Update Allen to follow tuning of TwoTrackMVA model, !917 (@gligorov)
- Test only relevant throughput tests, !916 (@dcampora)
- Update selections documentation to reflect new event model, !915 (@thboettc)
- Refactor Allen geometries, !913 (@dcampora)
- Install sequences under AllenSequences, !903 (@spradlin)
- Update References for: Allen!909 based on lhcb-master-mr/4819, !914 (@lhcbsoft)
- Set logger::debug as minimum verbosity to print MemoryManager message, !912 (@dcampora)
- Update References for: LHCb!3616, Rec!2942 based on lhcb-master-mr/4787, !910 (@lhcbsoft)
- Tuned onetrack and twotrack, !909 (@nnolte)
- Removed unused options cpu_offload and geometry., !908 (@dcampora)
- Update refs in master., !904 (@dcampora)
- Refactor store, create Allen::buffer and use that in host_buffers, !902 (@dcampora)
- Update References for: LHCb!3530, LHCb!3586, Lbcom!610, Rec!2860, Rec!2913, Allen!879, Moore!1592 based on lhcb-master-mr/4746, !901 (@lhcbsoft)
- Unified validators for long and kalman tracks, !862 (@cagapopo)
- Really fix #327 (follow up !897), !899 (@rmatev) [#327]
- Fix veloSP_validation input file, !886 (@gbassi)
- Cleanup line monitoring, !885 (@tevans)
- Remove hard-coded selections from Ks2pipi line, !869 (@samarian)
- Dielectron line with no IP cuts (2), !774 (@johndan)
- Early Measurement HLT1 TwoTrack line for (low PT) Charm Hadron Cross Section, !751 (@gunther)
- Run changes test: RTX 2080 Ti ---> A5000., !882 (@roneil)
- Remove a6000 tests and references; no more allow_failure for efficiency and run changes comparisons., !881 (@roneil)
- Update doc/setup/build.rst, !878 (@dcampora)
- Remove lines prefilter suffix, !875 (@samarian) [#324]
- Fix SMOG2 unstable physics efficiency test, !872 (@samarian)
- Fix use of yaml-cpp in CMake configuration, !871 (@clemenci)
- Adapt CI to CMAKE_TOOLCHAIN configuration; pesky HIP tests are disabled, !868 (@roneil)
- Make Allen compatible with CUDA 11.7., !863 (@dcampora)
- Detect MI100 name using gcnArch field instead of name, !859 (@dcampora)
- Fix for the new type of banks, !858 (@mfontana)
- Add DD4HEP support for Allen converters that deal with SciFi, Velo, Calo, Magnetic field polarity and the Beamline position, !855 (@ngarroum) [LHCb#215]
- SMOG2 trigger lines and prefilters, !602 (@samarian) [#225]
- Update References for: Detector!169, LHCb!2942, Boole!379, Allen!849, Moore!1318 based on lhcb-master-mr/4321, !852 (@lhcbsoft)
- Add the minimum editions to DumpFTGeometry to support ReadoutMap, !849 (@lohenry)
- Fix bug in MakeLongTrackParticles, !845 (@dcraik)
- Fix RICH line source files, !842 (@dcampora)
