2022-10-07 Allen v3r0
===

This version uses
Rec [v35r0](../../../../Rec/-/tags/v35r0),
Lbcom [v34r0](../../../../Lbcom/-/tags/v34r0),
LHCb [v54r0](../../../../LHCb/-/tags/v54r0),
Gaudi [v36r7](../../../../Gaudi/-/tags/v36r7),
Detector [v1r4](../../../../Detector/-/tags/v1r4) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Allen [v2r2](/../../tags/v2r2), with the following changes:

### New features ~"new feature"

- ~Decoding ~FT | Add the FT v8 decoding, !982 (@lohenry)
- ~Persistency | Implement routing bits, !689 (@cagapopo)
- Set thread names for easier debugging, !1016 (@raaij)
- Adapt HLT1 TwoKsLine to new event model, !856 (@lpica)
- Velo-SciFi track reconstruction based on SciFi seeding and Matching algorithms, !742 (@cagapopo)


### Fixes ~"bug fix" ~workaround

- ~Persistency | Flush any newly generated decoding keys to git, !986 (@graven)
- ~Monitoring | Collect all incoming histograms before data processing starts, !997 (@raaij)
- ~Build | Fix multi alloc build, !985 (@dcampora)
- Fix synchronisation in MDFProvider when not all events in a read buffer fit in a slice, !1011 (@raaij) [#351]
- Fix instability in Forward tracking without UT, !999 (@dcampora)
- Fix raw data event offsets to fix slice splitting, !970 (@raaij)
- Fix output without selreports, !976 (@raaij)


### Enhancements ~enhancement

- ~Decoding ~Muon | Add protections to muon decoding, !984 (@samarian) [LHCb#242]
- ~Tracking | Optimization of matching algorithm parameters for long track reconstruction, !989 (@vsvintoz)
- ~Persistency | Adapted Allen LHCbID to new convention from LHCb!3226 and stabilize MC matching, !978 (@cagapopo)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~"Event model" | Clean up LHCbID in Allen, !977 (@cagapopo)
- ~"MC checking" | Rename TT to UT in MCTrackInfo (follow LHCb!3767), !983 (@rmatev)
- ~Conditions | Run forward-no-ut with dd4hep, !956 (@raaij) [#350]
- Support Moore!1772, !991 (@mstahl)
- Revert addition of multi_alloc to tests, !995 (@raaij)
- Remove default_ft_decoding_version, !980 (@cburr)


### Documentation ~Documentation

- Update documentation, !981 (@gbassi)

### Other

- ~Configuration ~Monitoring | Configuring the VeloOpen ODIN line, !866 (@sklaver)
- ~Calo | Hlt1 Calo DiCluster Line, !807 (@rangel) [#341]
- ~Persistency | Add encoding key to DecReport raw bank, !911 (@graven)
- ~Persistency | Routing bits for alignment, !972 (@cagapopo)
- ~Build | Ignore input aggregates in params conversion, !1014 (@dcampora)
- ~Build | Remove compilation without ROOT, !1009 (@dcampora)
- ~Build | Ignore input aggregates in params conversion, !1004 (@dcampora)
- Add macos versions of thread name setting, !1020 (@dcampora)
- Revert !1004 (Ignore input aggregates in params conversion), !1012 (@rmatev)
- Update References for: Allen!956, MooreOnline!139 based on lhcb-master-mr/5731, !1010 (@lhcbsoft)
- Overhaul of standalone Allen testing in gitlab CI, !1005 (@roneil)
- Do not generate keys in Allen standalone, !1003 (@dcampora)
- Fix FT decoding and make it agree with Rec, !1001 (@lohenry)
- Move matching test to full sequence, !993 (@dcampora)
- Safe calculation of muon crossings, !990 (@dcampora)
- Fixes for VELO decoding, !987 (@gbassi)
- Redefine the global event cut to not use UT information, !948 (@gligorov)
- Update References for: Allen!742, Moore!1733 based on lhcb-master-mr/5532, !979 (@lhcbsoft)
- Update VELO open line name in routing bits map, !975 (@sklaver)
- FT: Account for unexpected (corrupt) data, !974 (@lohenry)
- Modify allen buffer logic adding a boolean to check allocation, !965 (@dcampora)
- Enable lumi summary bank writing w/o all detectors present, !968 (@dovombru)
- Fix Allen.mdf_input test, !967 (@raaij)
- Do not require to purge Allen in most cases, !962 (@dcampora)
- Fixes and test for Allen SciFi decoding, !961 (@mstahl)
- Update geometry path post muon merge, !960 (@dcampora)
- Add prescaler arguments, !954 (@kaaricha)
- Modify + Add HLT1 lines for alignment, !889 (@shollitt)
- Update references for Allen!895 based on lhcb-master-mr/5309, !957 (@peilian)
- Allen muon decoding, !895 (@samarian)
