2023-03-03 Allen v3r5
===

This version uses
Rec [v35r5](../../../../Rec/-/tags/v35r5),
Lbcom [v34r5](../../../../Lbcom/-/tags/v34r5),
LHCb [v54r5](../../../../LHCb/-/tags/v54r5),
Detector [v1r9](../../../../Detector/-/tags/v1r9),
Gaudi [v36r11](../../../../Gaudi/-/tags/v36r11) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to Allen [v3r4](/../../tags/v3r4), with the following changes:

### New features ~"new feature"

- ~selections ~Luminosity | Implementation of PV-independent BGI lines, !1050 (@spradlin) [#223]
- Tae Trigger, !1066 (@raaij)


### Fixes ~"bug fix" ~workaround

- ~Luminosity | Fix ECal Lumi counters and add some histograms (off by default), !1053 (@raaij)
- Seeding & matching momentum parametrization fix, !1098 (@cagapopo) [#386]
- Make input really const, !1087 (@dcampora)
- UT search window bug fix, !1052 (@mveghel)


### Enhancements ~enhancement

- ~"MC checking" | Add fromSignal flag to MCParticle, !1107 (@tevans)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Build | Fix issues with CI pipelines, !1121 (@rmatev)
- Follow removal of property in MEPProvider, !1127 (@raaij)


### Documentation ~Documentation

- Add how to for documentation, !1126 (@dovombru)
- Add callgrind profiling instructions to the documentation, !1120 (@kaaricha)
- Line monitor documentation, !1119 (@tevans)
- Add heavy ion and smog2 lines to HLT1 line index, !1117 (@dovombru)

### Other

- ~selections | Addition of Run-3 Drell-Yan dimuon lines, !1096 (@ldufour)
- Fix TAE filter configuration, !1131 (@raaij)
- Clean not needed get_input function in DiMuonNoIPLine selection, !1122 (@samarian)
- Fix eta calculation for backward VELO tracks, !1116 (@samarian)
- Use views in Velo and Velo-UT Allen-Gaudi converters, !1118 (@thboettc)
- Use long track views in GaudiAllenForwardToV2Tracks, !1113 (@thboettc)
- Prefer std::optional<T> over std::pair<bool, T>, !1092 (@graven)
- Resolve "Separate monitoring and Lumi lines in configuration", !1106 (@ahabdelm) [#346]
- Force test validator to take into account stderr exclusions, !1103 (@clemenci)
- Minor fixes to logic in PV reconstruction, !1090 (@samarian) [#392]
- Fix in velo-only parameterized Kalman filter, !1085 (@dovombru)
- Add missing link, !1057 (@clemenci)
