2023-06-12 Allen v3r9
===

This version uses
Rec [v35r9](../../../../Rec/-/tags/v35r9),
Lbcom [v34r9](../../../../Lbcom/-/tags/v34r9),
LHCb [v54r9](../../../../LHCb/-/tags/v54r9),
Detector [v1r13](../../../../Detector/-/tags/v1r13),
Gaudi [v36r12](../../../../Gaudi/-/tags/v36r12) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to Allen [v3r8](/../../tags/v3r8), with the following changes:

### New features ~"new feature"

- DimuonJpsiMass line for muon alignment added and added to routing bit 4, !1211 (@lgrillo)


### Fixes ~"bug fix" ~workaround

- ~Decoding | Make UT decoding reproducible., !1200 (@dcampora)
- ~Decoding ~Muon | Decoding MuonError banks, !1243 (@masantim)
- ~Decoding ~Calo | Fix Pin diodes decoding, !1220 (@jmarchan)
- ~"Event model" | Added missing default initial values for PV classes, !1216 (@spradlin)
- Fix sign of polarity in seeding and matching, !1210 (@cagapopo)
- Fix scifi states access for BestTrackCreator, !1215 (@cagapopo)


### Enhancements ~enhancement

- ~Luminosity | Round non-integer lumi counter values rather than truncating them, !1244 (@dcraik) [MooreOnline#32]
- Fail test_physics_efficiency if a reference file does not exist., !1217 (@roneil)
- Use span instead of bare pointers in Allen::datatype., !1199 (@dcampora)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- One more fix in preparation for GaudiAlg refactoring, !1218 (@clemenci)
- Update docs and diag_suppress preprocessor directives, !1203 (@dtou)
- Wait for popen process to avoid zombies, !1189 (@rmatev)
- Update Allen-in-Gaudi configuration to fix tests for DD4Hep, !1129 (@raaij)


### Documentation ~Documentation

- Update docs and diag_suppress preprocessor directives, !1203 (@dtou)
- Fix sphinx compilation, !1204 (@dovombru) [Moore#567]

### Other

- ~Calo | Add multiplicity cuts for diphoton lines and include HLT1 Pi0 line, !992 (@lmeyerga)
- ~RICH | Update persistency.py to change the single routing bit for RICH1Alignment and RICH2Alignment into two separate routing bits, one for each line, !1202 (@pnaik)
- ~RICH | Update RICH2Line minimum momentum cut, !1172 (@pnaik)
- ~RICH | Update RICH1Line minimum momentum cut, !1171 (@pnaik)
- Add routing bit for pi0 ECAL calibration data, !1245 (@rmatev)
- V3r8 remaining hotfixes, !1239 (@cagapopo)
- Add property to apply offset to beamline in HLT1, !1231 (@raaij)
- Update References for: LHCb!4116, MooreOnline!251, DaVinci!904 based on lhcb-master-mr/8181, !1235 (@lhcbsoft)
- Update References for: LHCb!4119, Moore!2307 based on lhcb-master-mr/8143, !1233 (@lhcbsoft)
- Run dump_geometry test on simulation to be consistent between DetDesc and DD4hep, !1224 (@raaij)
- Fix resize., !1214 (@dcampora)
- Fix to run full HLT1 sequence when muons are in local, !1213 (@cagapopo)
- Prepare for upcoming changes in GaudiAlg, !1193 (@clemenci)
- Solve #426, !1207 (@dcampora) [#426]
- Update References for: Allen!1129, Moore!2129, MooreAnalysis!114 based on lhcb-master-mr/7933, !1206 (@lhcbsoft)
- Remove templating of FTReadoutMap, !1190 (@lohenry)
- Added PV conversion algorithm, !794 (@wouter)
