2024-05-08 Allen v4r8
===

This version uses
Rec [v36r8](../../../../Rec/-/tags/v36r8),
Lbcom [v35r8](../../../../Lbcom/-/tags/v35r8),
LHCb [v55r8](../../../../LHCb/-/tags/v55r8),
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1),
Detector [v1r32](../../../../Detector/-/tags/v1r32) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.

This version is released on the `2024-patches` branch.
Built relative to Allen [v4r7](/../../tags/v4r7), with the following changes:

### Fixes ~"bug fix" ~workaround

- ~Tracking | Add bending in y-direction to Velo-SciFi matching, !1597 (@jzhuo)
- Fix configuration of geometry in allen.py, !1585 (@raaij)
- Increase maxTriples and Nmax_seed_xz_per_part, !1587 (@cagapopo)
- Support reading MDFs that include TAE events, !1552 (@raaij) [#526]
- Make TransposeRawBanks thread-safe, !1573 (@sstahl)
- Make Allen threadsafe when runing in Gaudi through wrappers, !1553 (@ahennequ)


### Enhancements ~enhancement

- ~Monitoring | Monitoring of GhostProb and IPx-IPy, !1581 (@ascarabo)
- ~Tracking | Improve SciFi Seeding, particularly for high occupancies., !1618 (@ahennequ)
- ~Luminosity | Improve lumi counters, !1562 (@sandrese) [gitlab.cern.ch/lhcb/MooreOnline/-/merge_requests/395#0834]
- Update Routing bit for RecoSMOGPhysMon, !1599 (@samarian)
- Remove scale factors for plume ADC lumi counters and increase size of average ADC counter, !1584 (@dcraik)
- Allen monitoring ND histograming, !1556 (@vkholoim)
- Loosen the p and pt requirements in Drell-Yan lines, !1518 (@ldufour)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Monitoring | Prescale error bank line and extend monitoring histograms, !1594 (@cagapopo)
- Do not overwrite DetectorList for DD4HEP, !1554 (@sstahl)


### Other

- Update References for: Allen!1618 based on lhcb-2024-patches-mr/395, !1622 (@lhcbsoft)
- Update References for: Allen!1597 based on lhcb-2024-patches-mr/331, !1614 (@lhcbsoft)
- Update References for: Allen!1587 based on lhcb-2024-patches-mr/223, !1596 (@lhcbsoft)
